Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002057 [Piwigo] other feature N/A 2010.12.11 19:51 2011.01.23 11:49
Reporter Pat View Status public  
Assigned To Pat
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.6 Product Version 2.1.5
  Target Version 2.1.6 Product Build
Summary 0002057: fetchRemote function may send POST data
Description Add $get_param and $post_data parameters to fetchRemote function.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0004533)
svn (reporter)
2010.12.11 20:50

[Subversion] r8079 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2057: fetchRemote can send POST data
(0004535)
svn (reporter)
2010.12.11 22:08

[Subversion] r8083 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2057: use $get_data parameter to send GET data.
(0004537)
svn (reporter)
2010.12.11 22:37

[Subversion] r8086 by patdenice on branch 2.1

-----[Subversion commit log]----------------------------------------------------
merge r8079, r8080, r8082, r8083, r8084 from trunk to branch 2.1
feature 2057: fetchRemote can send POST data
feature 2048: Use POST to send server data
feature 2048: add $conf['send_hosting_technical_details'] parameter
feature 2057: use $get_data parameter to send GET data.
feature 2048: send technical details only to get_version_list.php of PEM API.
(0004539)
svn (reporter)
2010.12.12 11:14

[Subversion] r8089 by patdenice on branch 2.1

-----[Subversion commit log]----------------------------------------------------
feature 2057: use http_build_query instead of add_url_params for GET data.
(0004540)
svn (reporter)
2010.12.12 11:16

[Subversion] r8090 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
merge r8089 from branch 2.1 to trunk
feature 2057: use http_build_query instead of add_url_params for GET data.

- Issue History
Date Modified Username Field Change
2010.12.11 19:51 Pat New Issue
2010.12.11 19:51 Pat Status new => assigned
2010.12.11 19:51 Pat Assigned To => Pat
2010.12.11 19:51 Pat browser => any
2010.12.11 19:51 Pat Web server => Apache 1.3.x
2010.12.11 20:50 svn Checkin
2010.12.11 20:50 svn Note Added: 0004533
2010.12.11 22:08 svn Checkin
2010.12.11 22:08 svn Note Added: 0004535
2010.12.11 22:37 svn Checkin
2010.12.11 22:37 svn Note Added: 0004537
2010.12.12 11:14 svn Checkin
2010.12.12 11:14 svn Note Added: 0004539
2010.12.12 11:16 svn Checkin
2010.12.12 11:16 svn Note Added: 0004540
2010.12.22 12:18 Pat Resolution open => fixed
2010.12.22 12:18 Pat Fixed in Version => 2.1.6
2011.01.23 11:49 plg Status assigned => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker